Pregunta sobre WooCommerce Multilingual - run WooCommerce with WPML de Wordpress:

Compatibilidad PHP 7.4

Un usuario pregunt贸 馃憞

Despu茅s de actualizar el servidor a PHP 7.4 (estable) aparece el error de continuidad:

Ein Fehler vom Typ E_ERROR wurde in der Zeile 38 der Datei /var/www/vhosts/httpdocs/wp3/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-resources.php verursacht. Fehlermeldung: Error no recuperado: llame a la funci贸n get_setting () del miembro en nulo en /var/www/vhosts/httpdocs/wp3/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-resources.php:38 # 0 /var/www/vhosts/httpdocs/wp3/wp-content/plugins/woocommerce-multilingual/classes/class-woocommerce-wpml.php(268): WCML_Resources :: set_up_resources (Object (woocommerce_wpml))) # 1 / var / www / vhosts / httpdocs / wp3 / wp-includes / class-wp-hook.php (288): woocommerce_wpml-> init (鈥) # 2 / var / www / vhosts / httpdocs / wp3 / wp-include / class -wp-hook.php (312): WP_Hook-> apply_filters (NULL, Array) # 3 /var/www/vhosts/httpdocs/wp3/wp-includes/plugin.php(478): WP_Hook-> do_action (Array) # 4 /var/www/vhosts/httpdocs/wp3/wp-settings.php(523): do_action (‘init’) # 5 / var / www / vhosts / httpdocs / wp3 / wp-config. php (111): require_once (‘/ va ####

(@ sergeyr-1)

Hace 12 meses

Hola Coholm, 隆Gracias por contactarnos!

驴Puede informarme si WPML funciona bien (incluida la traducci贸n de cadenas y la gesti贸n de traducciones)? Si es as铆, 驴puede intentar deshabilitar y habilitar el plugin WooCommerce Multilingual?

隆Gracias por adelantado!

(@coholic)

Hace 12 meses

Cuando PHP 7.4 est谩 instalado, el sitio no se puede usar (backend y frontend) Solo se muestra el mensaje de error.

(@ sergeyr-1)

Hace 12 meses

驴Ha vuelto al sitio normalmente? Puede eliminar manualmente el plugin WooCommerce Multilingual de su FTP y probar el acceso de administrador. Si todo est谩 bien, intente instalarlo nuevamente.

隆Gracias por adelantado!

(@kaggdesign)

Hace 12 meses

Hola Coholm,

Vimos este error en WPML / WCML con php 7.4-RC5 (versi贸n candidata 5). Estuvo involucrado con OPCache.

En este momento, tengo instalado un php estable de 7.4 (lanzado ayer) y no veo ning煤n problema.

Compruebe que tiene la versi贸n estable de php 7.4, en lugar de liberar el candidato. Desc谩rguelo de nuevo desde el sitio php.

Tambi茅n puede intentar desactivar opcache en php.ini. Conseguir una l铆nea opcache.enable=1 y centro opcache.enable=0.

(@coholm)

Hace 12 meses

He bajado a 7.3 Estoy en un host compartido, por lo que no tengo influencia en OPCache. Definitivamente est谩 instalado 7.4 estable. El anfitri贸n anunci贸 el lanzamiento hoy.

(@ lente2016)

Hace 11 meses, 3 semanas

La misma pregunta aqu铆. Usando estable 7.4.0. Eliminar OPcache no es una opci贸n. OPcachewith WP Rocket no ayud贸. Actualizado a 7.3.

Esta respuesta fue modificada hace 11 meses, 3 semanas por. Esta respuesta fue modificada hace 11 meses, 3 semanas por.

(@ sergeyr-1)

Hace 10 meses

ya resuelto – cerrando

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *